#!/usr/bin/perl

/*
 * the analysis script. First run the images through exiftools. 
 * this will just parse the output of exiftools. Yes, there
 * is an EXIF module for perl that could have been used. But
 * it refused to install for me
 * 
 *   http://isc.sans.org/diary.html?storyid=8203
 *
 *   no rights reserved. code responsibly. jullrich@sans.edu
 */


use Data::Dumper;

my $sFilename=shift;

open (F, $sFilename);
open (T,">>tags.txt");

while ( <F> ) {
    if ( /^(\w[^:]+): (.*)/ ) {
	$tag{$1}=$2;
	print T "$1\n";
	if ( $1 eq 'Photographer' ) {

	}
    }
}
open (C,">>coordinates.txt");
$lat=$tag{'Latitude'};

$lat=~s/^N //;
$lat=~s/^S /-/;
if ( $lat!=0 ) {
$lat=~s/[^0-9. -]//g;
$lat=~s/^\s+//;
($lat,$fra)=split(' ',$lat);
$fra=$fra/60;
$lat=$lat+$fra*abs($lat)/$lat;
$fra=0;
$lon=$tag{'Longitude'};
$lon=~s/^W /-/;
$lon=~s/^E //;
$lon=~s/[^0-9. -]//g;
$lon=~s/^\s+//;
($lon,$fra)=split(' ',$lon);
$fra=$fra/60;
$lon=$lon+$fra*abs($lon)/$lon;
if ( $lat!=0 ) {
print C "$lat\t$lon\t$sFilename".$tag{'Longitude'}."\t".$tag{'Latitude'}."\n";
}
}
open (P,">>photographers.txt");
print P $tag{'Camera Model'}."|".$tag{'Photographer'}."\n";
